=== debian/changelog ===
pure-midi (0.5-2) natty; urgency=low

  * Prevent zipping of examples

 -- Albert Graef <Dr.Graef@t-online.de>  Sun, 27 May 2012 00:00:13 +0200

pure-midi (0.5-1) natty; urgency=low

  * Initial release

 -- Albert Graef <Dr.Graef@t-online.de>  Thu, 24 May 2012 17:10:26 +0200
