=== debian/control ===
Source: pure-midi
Section: devel
Priority: extra
Maintainer: Albert Graef <aggraef@gmail.com>
Build-Depends: debhelper (>= 7.0.50~), pure-dev, libportmidi-dev
Standards-Version: 3.9.1
Homepage: http://purelang.bitbucket.org

Package: pure-midi
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Portable MIDI interface for the Pure programming language
 Pure is a modern-style functional programming language based on term
 rewriting. This package provides a MIDI interface for Pure. It includes the
 following modules:
 .
 * midi.pure: A PortMidi/PortTime wrapper which gives you portable access to
   realtime MIDI input and output. This uses PortMidi (by Roger B. Dannenberg et
   al) from the PortMedia project, see http://portmedia.sourceforge.net/.
 .
 * midifile.pure: Reading and writing standard MIDI files. This is based on
   David G. Slomin's light-weight midifile library (original source at
   http://public.sreal.com:8000/~div/).
